﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SpawnManager : MonoBehaviour
{
	public GameObject pedestrianPrefab;
    public GameObject Cane;
    public GameObject Farfalla;
    public GameObject Papera;
	//public AudioSource startSong;
	const int xResolution = 1920;
	public float initialSpawnTime = 3F;
	float currentSpawnTime = 3F;
	float minSpawnTime = 0.8F;
	float lastTimer;
	float timer = 0F;

	void Start()
	{
        Random.InitState((int)Time.deltaTime);
		//startSong.Play();
		currentSpawnTime = initialSpawnTime;
	}
	
	void Update()
	{
        int rnd = Random.Range(1, 4);
        InstantiatePedestrian(rnd);

        //if (Input.GetButtonDown("Fire11"))
        //{
        //	GameObject[] pA = GameObject.FindGameObjectsWithTag("Pedestrian");
        //	foreach (GameObject p in pA)
        //	{
        //		if (p.GetComponent<Pedestrian>().IsInCenter(0F) && p.GetComponent<Pedestrian>().spawned)
        //		{
        //			print(p.ToString() + " SUCCEDEED!!!!");
        //		}
        //	}
        //}
    }

    void InstantiatePedestrian(int _rnd)
    {
        timer += Time.deltaTime;
        if (timer - lastTimer > currentSpawnTime)
        {
            lastTimer = timer;
            //currentSpawnTime -= 0.3F;
            //currentSpawnTime = Mathf.Max(currentSpawnTime, minSpawnTime);
            switch (_rnd)
            {
                case 1:
                    GameObject cane = Instantiate(Cane);
                    cane.GetComponent<Pedestrian>().Initialize( _rnd*2f, Random.Range(0, 2) == 0 ? false : true, Random.Range(0, 4), 0F, -4.52F);
                    break;

                case 2:
                    GameObject farfalla = Instantiate(Farfalla);
                    farfalla.GetComponent<Pedestrian>().Initialize(_rnd, Random.Range(0, 2) == 0 ? false : true, Random.Range(0, 4), 0F, Random.Range(0, 2) == 0 ? 3.31F : -0.36F);
                    break;

                case 3:
                    GameObject papera = Instantiate(Papera);
                    papera.GetComponent<Pedestrian>().Initialize(_rnd*1.5f, Random.Range(0, 2) == 0 ? false : true, Random.Range(0, 4), 0F, -4F);
					break;

                default:
                    break;
            }
            
        }
    }
}