﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using UnityEngine;

public class WavingManager : MonoBehaviour {

    public GameObject UpSprite;
    public GameObject UpSpriteO;
    public GameObject UpSpriteSmack;

    float _wavePercentage = 0.0f;
    
    public float WavePercentage
    {
        get { return _wavePercentage; }
        set
        {
            if (value != _wavePercentage)
            {
                _wavePercentage = value;
                destRot = Quaternion.Euler(0, 0, -20.0f * _wavePercentage);
            }
        }
    }

    public void SetEmotion(int flag)
    {
        UpSprite.SetActive(flag==0);
        UpSpriteO.SetActive(flag==1);
        UpSpriteSmack.SetActive(flag==2);
    }

    private Quaternion destRot;
	// Use this for initialization
	void Start () {

		
	}
	
	// Update is called once per frame
	void Update () {
        //if ((_deltaPercentage += Time.deltaTime * 3.0f) < 1.0f)
        //{
        //    UpSprite.transform.rotation = Quaternion.Lerp(UpSprite.transform.rotation, destRot, _deltaPercentage);
        //}

        UpSprite.transform.rotation = destRot;
        UpSpriteO.transform.rotation = destRot;
        UpSpriteSmack.transform.rotation = destRot;
    }
}
