﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BackgroundSwticher : MonoBehaviour {

    public SpriteRenderer CurrentRendering;

    public float FadingTimeMultiplier = 0.1f;
    public float SlidingSpeed = 10;

    float TransparencyLevel;

	// Use this for initialization
	void Start () {
        CurrentRendering = GetComponent<SpriteRenderer>();
        TransparencyLevel = 0;
        Debug.Log(CurrentRendering.sprite.border.x + "/" + CurrentRendering.sprite.border.y + "/" + CurrentRendering.sprite.border.z + "/" + CurrentRendering.sprite.border.w);
        Debug.Log(CurrentRendering.sprite.border.x + "/" + CurrentRendering.sprite.border.y + "/" + CurrentRendering.sprite.border.z + "/" + CurrentRendering.sprite.border.w);
        
    }
	
	// Update is called once per frame
	void Update () {

        //transform.Translate(Vector3.down * SlidingSpeed * Time.deltaTime);
        //FadeToClear(FadingTimeMultiplier);
        Color test = CurrentRendering.color;       

    }

    /// <summary>
    /// Fade to Clear at specified ratio
    /// </summary>
    /// <param name="_FadeSpeed"> FadingRatio [0.01f for a slow one]</param>
    void FadeToClear (float _FadeSpeed) {

        if (TransparencyLevel < 1)
        {
            TransparencyLevel += _FadeSpeed * Time.deltaTime;
        }
        else
        {
            TransparencyLevel = 1;
        }

        CurrentRendering.color = Color.Lerp(CurrentRendering.color, Color.clear, TransparencyLevel);
    }
}

