﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class Menu : MonoBehaviour {

	bool enterPressed = false;
	public float timeBeforeStart = 1F;
	public Sprite secondSprite = null;
	public GameObject[] objectsToHide = null;
	float timer = 0;
	// Use this for initialization
	void Start () {
		
	}

	// Update is called once per frame
	void Update()
	{
		if (enterPressed && timer < timeBeforeStart)
		{
			timer += Time.deltaTime;
		}
		if (Input.GetKey(KeyCode.Escape))
		{
			Application.Quit();
		}
		else if (Input.GetKey(KeyCode.Return) || Input.GetKey(KeyCode.KeypadEnter) || Input.GetKey(KeyCode.Space) || Input.GetKey(KeyCode.JoystickButton0))
		{
			if (enterPressed && timer > timeBeforeStart)
			{
				SceneManager.LoadScene("ClueGathering");
			}
			else
			{
				GetComponent<SpriteRenderer>().sprite = secondSprite;
				enterPressed = true;
			}
		}
		//else if (Input.GetKey(KeyCode.JoystickButton3) || Input.GetKey(KeyCode.F))
		//{
		//	if (Screen.fullScreen)
		//		Screen.SetResolution(1920, 1080, false);
		//	else
		//	{
		//		Resolution maxRes = new Resolution();
		//		maxRes.width = 1920;
		//		maxRes.height = 1080;
		//		float maxX = 0;
		//		foreach (Resolution vec in Screen.resolutions)
		//		{
		//			if (vec.width > maxX)
		//			{
		//				maxX = vec.width;
		//				maxRes = vec;
		//			}
		//		}
		//		Screen.SetResolution(maxRes.width, maxRes.height, true);
		//	}
		//}
	}
}
